%define srcname cwp
%define rel 5

Summary:	Yet another weather plasmoid highly customizable this time
Name:		plasma-applet-cwp
Version:	1.5.7
Release:	%mkrel %{rel}
Source0:	http://kde-look.org/CONTENT/content-files/98925-%{srcname}-%{version}.tar.bz2
License:	GPLv3
Group:		Graphical desktop/KDE
URL:		http://kde-look.org/content/show.php/Customizable+Weather+Plasmoid+(CWP)?content=98925
BuildRequires:	kdebase4-workspace-devel
Provides:	plasma-applet
Provides:	plasma-applet-customizable-weather
Patch0:		plasma-applet-cwp-fix-applet-category.patch

%description
This is another weather plasmoid.
It aims to be highly customizable, but a little harder to setup than
other weather plasmoids.
Nearly any weather forecast provider can be used, as long as the data is
provided as HTML files (no flash).
The information how to extract the information from these HTML files is
stored inside XML files.
Commands like grep, head, tail, sed, awk, ... will do this job.

%files -f plasma_applet_cwp.lang
%doc ChangeLog README
%_kde_libdir/kde4/plasma_applet_cwp.so
%_kde_services/plasma-applet-cwp.desktop
%_kde_appsdir/desktoptheme/default/widgets/*.svgz
%_kde_appsdir/plasma-cwp/
%_kde_iconsdir/oxygen/128x128/status/weather-windy.png
%_kde_iconsdir/oxygen/scalable/status/weather-windy.svgz

#---------------------------------------------------------------------

%prep
%setup -q -n %srcname-%{version}
%apply_patches

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

%find_lang plasma_applet_cwp



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.5.7-5.mga5
+ Revision: 745382
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.7-4.mga5
+ Revision: 687613
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5.7-3.mga4
+ Revision: 517522
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.5.7-2.mga3
+ Revision: 377789
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 11 2012 mikala <mikala> 1.5.7-1.mga2
+ Revision: 194947
- Update tarball to 1.5.7
- Rediff patch0
- use kde4 macros
- remove %%defattr() & %%clean section

* Mon Jun 13 2011 mikala <mikala> 1.5.4-1.mga2
+ Revision: 105840
- imported package plasma-applet-cwp

